import { SetStateAction, Dispatch } from 'react';
import Client, { TimeseriesResponse } from '@hiro-graph/client';
export interface TimeseriesResult {
    result?: TimeseriesResponse[];
    loading: boolean;
    error: boolean;
}
export interface TimeseriesQuery {
    from?: number;
    to?: number;
    limit?: number;
}
export declare const fetchTimeseriesVertexId: (client: Client, scopeId: string, type: string) => Promise<string>;
export declare function fetchTimeseriesValues(client: Client, id: string, options: TimeseriesQuery): Promise<TimeseriesResponse[]>;
export declare function useTimeseries(client: Client, type: string, options: TimeseriesQuery, initialResultValue?: TimeseriesResponse[]): [TimeseriesResult, Dispatch<SetStateAction<TimeseriesQuery>>];
