var __assign = (this && this.__assign) || function () {
    __assign = Object.assign || function(t) {
        for (var s, i = 1, n = arguments.length; i < n; i++) {
            s = arguments[i];
            for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
                t[p] = s[p];
        }
        return t;
    };
    return __assign.apply(this, arguments);
};
import React from 'react';
import { Box, TableBody, Table } from "../../../elements";
import { useWidgetContext } from '../../context';
import { useKiCounts } from '../../hooks/useKiCounts';
import { getKiStats } from './getKisStats';
import { KiRow } from './KiRow';
import { YourKisLoader } from './YourKisLoader';
export var YourKisBody = function () {
    var _a = useWidgetContext().provider, selectAppsIds = _a.selectAppsIds, openApp = _a.openApp;
    var _b = useKiCounts(), counts = _b.counts, loading = _b.loading, error = _b.error;
    var kimId = selectAppsIds().kimId;
    var stats = getKiStats(counts, function (filter) {
        return openApp(kimId, filter && { filter: filter });
    });
    if (error) {
        return (React.createElement(Box, { verticalAlign: "center", textAlign: "center", size: 0.6 },
            React.createElement("p", null, "Error occurred while loading Knowledge Item stats. Please try again later")));
    }
    if (loading) {
        return React.createElement(YourKisLoader, { count: 4 });
    }
    return (React.createElement(Table, null,
        React.createElement(TableBody, null, stats.map(function (rowStat, idx) { return (React.createElement(KiRow, __assign({ key: idx, href: "window.document.location.href}?appId=" + kimId }, rowStat))); }))));
};
